OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKLCAF
TDataStd

# TDataStd_DataMapNodeOfDataMapOfStringHArray1OfReal Class Reference

`#include <TDataStd_DataMapNodeOfDataMapOfStringHArray1OfReal.hxx>`

## Public Member Functions
| TDataStd_DataMapNodeOfDataMapOfStringHArray1OfReal (const TCollection_ExtendedString &K, const Handle(TColStd_HArray1OfReal)&I, const TCollection_MapNodePtr &n)
TCollection_ExtendedString & | Key () const
Handle_TColStd_HArray1OfReal & | Value () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
TCollection_ExtendedString | myKey
Handle_TColStd_HArray1OfReal | myValue

## Constructor & Destructor Documentation

TDataStd_DataMapNodeOfDataMapOfStringHArray1OfReal::TDataStd_DataMapNodeOfDataMapOfStringHArray1OfReal | ( | const TCollection_ExtendedString & | K,
|  | const Handle(TColStd_HArray1OfReal)& | I,
|  | const TCollection_MapNodePtr & | n
| ) |

## Member Function Documentation

Standard_EXPORT const TDataStd_DataMapNodeOfDataMapOfStringHArray1OfReal::Handle | ( | Standard_Type |  | ) | const

TCollection_ExtendedString& TDataStd_DataMapNodeOfDataMapOfStringHArray1OfReal::Key | ( |  | ) | const

Handle_TColStd_HArray1OfReal& TDataStd_DataMapNodeOfDataMapOfStringHArray1OfReal::Value | ( |  | ) | const

## Field Documentation

TCollection_ExtendedString TDataStd_DataMapNodeOfDataMapOfStringHArray1OfReal::myKey`[private]`

Handle_TColStd_HArray1OfReal TDataStd_DataMapNodeOfDataMapOfStringHArray1OfReal::myValue`[private]`

The documentation for this class was generated from the following file:

- TDataStd_DataMapNodeOfDataMapOfStringHArray1OfReal.hxx